﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.ComplexEventProcessing.Adapters;
using Microsoft.ComplexEventProcessing;

namespace DemoConsole.Adapters
{
    public class ConsoleOutputAdapterFactory
        : ITypedOutputAdapterFactory<ConsoleOutputAdapterConfig>
    {
        static ConsoleOutputAdapterFactory()
        {

        }

        public OutputAdapterBase Create<TPayload>(ConsoleOutputAdapterConfig configInfo, EventShape eventShape)
        {
            if (eventShape != EventShape.Point) throw new InvalidOperationException("Points only.");

            return new ConsoleOutputAdapter<TPayload>(configInfo);
        }

        public void Dispose()
        {
        }
    }
}
